%{?nodejs_find_provides_and_requires}

Name:       nodejs-strip-json-comments
Version:    0.1.2
Release:    3%{?dist}
Summary:    Strip comments from JSON
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/strip-json-comments
Source:     http://registry.npmjs.org/strip-json-comments/-/strip-json-comments-%{version}.tgz
Source1:    license.txt 


BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging


%description
Strip comments from JSON. Lets you use comments in your JSON files!


%prep
%setup -q -n package
cp -p %{SOURCE1} .



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-json-comments
cp -pr package.json strip-json-comments.js \
    %{buildroot}%{nodejs_sitelib}/strip-json-comments
install -p -D -m0755 cli.js %{buildroot}%{nodejs_sitelib}/strip-json-comments/

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/strip-json-comments/cli.js \
    %{buildroot}%{_bindir}/strip-json-comments

%nodejs_symlink_deps



%files
%doc readme.md license.txt
%{nodejs_sitelib}/strip-json-comments
%{_bindir}/strip-json-comments


%changelog
* Wed May 28 2014 Anish Patil <apatil@redhat.com> - 0.1.2-3
- Incorporated package review comments

* Wed May 07 2014 Anish Patil <apatil@redhat.com> - 0.1.1-2
- Incorporated package review comments

* Thu Apr 10 2014 Anish Patil <apatil@redhat.com> - 0.1.1-1
- Initial package
